CREATE PROCEDURE RQDROP_VIEWS (IN projId INTEGER)
LANGUAGE SQL
BEGIN
   DECLARE attrId  INTEGER;
   DECLARE at_end  SMALLINT DEFAULT 0;
   DECLARE sql_txt VARCHAR(200); 
   DECLARE sql_call VARCHAR(200);   
   DECLARE SQLCODE INTEGER DEFAULT 0;
   DECLARE retcode INTEGER DEFAULT 0;
   DECLARE C1      CURSOR FOR STMT1;

   DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET retcode = SQLCODE;
   DECLARE CONTINUE HANDLER FOR SQLWARNING SET retcode = SQLCODE; 
   DECLARE CONTINUE HANDLER FOR NOT FOUND SET at_end = 1; 

   SET sql_txt = 'SELECT RTF.UserDefinedFieldId '||
                 'FROM RqRequirementTypeFields RTF, '||
                 '     RqProjectRequirementTypes PRT '||
                 'WHERE RTF.RequirementTypeId = PRT.RequirementTypeId '||
                 'AND PRT.ProjectId = ?';
   PREPARE STMT1 FROM sql_txt;

   SET sql_call = 'CALL RqDropView(?)';
   PREPARE STMT FROM sql_call;

   OPEN C1 USING projId;
   fetch_loop:
   LOOP
      FETCH C1 INTO attrId;
      IF at_end <> 0 THEN LEAVE fetch_loop;
      END IF;

      EXECUTE STMT USING attrId;

   END LOOP fetch_loop;
   CLOSE C1;
END
@
